What Phones Are Compatible with Yale Access Devices?

In order to provide optimal service to all our users, Yale Connect maintains app support for the two most recent operating systems for both iOS and Android platforms.

*If you have downloaded the Yale Connect App and are running an older version of either OS, you should be able to continue using the version of the app you have. If you run into issues, contact Customer Support info.nz@assaabloy.com   

Compatible iOS Devices

Yale access devices are compatible with newer phone models running iOS 11 or greater*. Information to help you determine the compatible iOS devices is available here.

Compatible Android Devices

Yale connect devices are compatible with most Android phones equipped with Bluetooth 4.0 and running Android 8* or higher. We routinely test with phones from the major manufacturers, including Samsung, Google, and HTC.

In some cases on specific phones, the Android Bluetooth stack can get stuck in a bad state, and may need to be re-started by the user by turning bluetooth on and off. 

Below are specific devices where performance has been inconsistent:

One+One

One+Two

LG V10

LG G4